Package org.gradle.api.artifacts.dsl

## Interface DependencyLockingHandler

-     public interface DependencyLockingHandler

  A `DependencyLockingHandler` manages the behaviour and configuration of dependency locking.
  Since:
    4.8

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Property<File>` | `getLockFile()` | Allows to configure the file used for saving lock state
    `Property<LockMode>` | `getLockMode()` | Allows to query the lock mode currently configured
    `void` | `lockAllConfigurations()` | Convenience method for doing: configurations.all { resolutionStrategy.activateDependencyLocking() }
    `void` | `unlockAllConfigurations()` | Convenience method for doing: configurations.all { resolutionStrategy.deactivateDependencyLocking() }

- - ### Method Detail

    - #### lockAllConfigurations

          void lockAllConfigurations()

      Convenience method for doing: configurations.all { resolutionStrategy.activateDependencyLocking() }

    - #### unlockAllConfigurations

          @Incubating
          void unlockAllConfigurations()

      Convenience method for doing: configurations.all { resolutionStrategy.deactivateDependencyLocking() }
      Since:
        6.0

    - #### getLockMode

          @Incubating
          Property<LockMode> getLockMode()

      Allows to query the lock mode currently configured
      Since:
        6.1

    - #### getLockFile

          @Incubating
          Property<File> getLockFile()

      Allows to configure the file used for saving lock state

      Make sure the lock file is unique per project and separate between the buildscript and project itself.

      This requires opting in the support for per project single lock file.

      Since:
        6.4